API Reference

Complete reference for all API endpoints.

Base URL

https://wapi.michotech.me/api/v1

Authentication

All endpoints require a Bearer token. The session is determined automatically by the API key.

Authorization: Bearer YOUR_API_KEY

Endpoints

MethodEndpointDescription
POST/messages/textSend a text message
GET/messagesList messages (paginated)
GET/messages/{id}Get a specific message

Send Text Message

POST /api/v1/messages/text
Content-Type: application/json

{
  "to": "260971000000",
  "message": "Hello from MichoW API!"
}

Success Response — 201 Created

{
  "data": {
    "message_id": "3EB0A0B4F3...",
    "status": "sent",
    "to": "260971000000",
    "created_at": "2026-03-08T10:30:00+00:00"
  }
}

List Messages

GET /api/v1/messages?page=1

Response — 200 OK

{
  "data": [
    {
      "id": 1,
      "direction": "outbound",
      "recipient": "260971000000",
      "message_type": "text",
      "content": "Hello!",
      "status": "sent",
      "created_at": "2026-03-08T10:30:00.000000Z"
    }
  ],
  "links": { ... },
  "meta": { ... }
}

Get Message

GET /api/v1/messages/{id}

Response — 200 OK

{
  "data": {
    "id": 1,
    "direction": "outbound",
    "recipient": "260971000000",
    "message_type": "text",
    "content": "Hello!",
    "whatsapp_message_id": "3EB0A0B4F3...",
    "status": "sent",
    "created_at": "2026-03-08T10:30:00.000000Z"
  }
}

Dashboard-Only Features

The following are managed from the dashboard, not via API:

  • Session creation, QR code scanning, and connection
  • Session disconnection and deletion
  • API key generation and revocation
  • Webhook URL configuration